Vue.component('${filename(view.codeName)}', {
    template: `
        <ibiz-card class="ibiz-expview ibiz-view view-content" :dis-hover="true" :bordered="false">
            <#ibizinclude>../../@MACRO/VIEW_CAPTION_DATAINFO.ftl</#ibizinclude>
            <span slot="extra" v-show="viewController.isShowToolBar">
                <#if toolbar??>
                    ${toolbar.code}
                </#if>
            </span>
            <row class="ibiz-expview-content">
                <layout>
                    <#assign width = 240>
                    <#if (view.hasPSControl('drbar'))>
                    <#assign drBar = view.getPSControl('drbar')/>
                    <#if drBar.getWidth() gt 0><#assign width = drBar.getWidth()?c></#if>
                    <sider class="ibiz-wf-exp-bar" :width="${drBar.name}.isCollapsed ? ${width} : 41">
                        <#if drbar??>
                        ${drbar.code}
                        </#if>
                    </sider>

                    <content  :style="{ width: ${drBar.name}.isCollapsed ? 'calc(100% - ${width}px)' : 'calc(100% - 41px)' }">
                        <#if form??>
                        <row v-show="drbar.selectItem.id == 'form'" style="height: 100%;">
                            <div :style="{ height: '100%', padding: '0 5px'<#if view.isHideEditForm()>, display: 'none'</#if> }">
                                ${form.code}
                            </div>
                        </row>
                        </#if>
                        <div v-show="drbar.selectItem.id != 'form'" style="height: 100%;">
                            <component :viewUsage="4" :key="drbar.selectItem.embedviewid" :is="drbar.selectItem.viewname" :params="drbar.selectItem.viewparam"></component>
                        </div>
                    </content>

                    </#if>
                </layout>
            </row>
        </ibiz-card>
            `,
    <#ibizinclude>../../@MACRO/VIEW_COMPONENT_PROPS.ftl</#ibizinclude>
    <#ibizinclude>../../@MACRO/LIFECYCLE_HOOK.ftl</#ibizinclude>
    methods: {

    },
    watch: {
        'params': function (val) {
            this.viewController.fillViewParams(val);
        }
    }
});