Vue.component('${filename(view.codeName)}', {
    template: `
      <div class="ibiz-modal-view">
        
            <layout :style="{ background: '#fff' }">
                <#assign width = 240>
                <#if (view.hasPSControl('treeexpbar'))>
                <#assign treeExpBar = view.getPSControl('treeexpbar')/>
                <#if treeExpBar.getWidth() gt 0><#assign width = treeExpBar.getWidth()?c></#if>
                <#else>
                <#assign width = 0>
                </#if>
                <sider :style="{ background: '#fff', overflow: 'auto' }" :width="${width}">
                    <#if treeexpbar??>
                    ${treeexpbar.code}
                    </#if>
                </sider>
            
                <content :style="{ width: 'calc(100% - ${width}px)', height: '100%', background: '#fff' }">
                    <#assign viewitems=view.getPSControls("pickupviewpanel",10)>
                    <#list viewitems as viewitem>
                    <${filename('${viewitem.getPSAppDEView().codeName}')}_embeddedview :parentData="${viewitem.name}.parentData" :params="viewController.viewparam" :multiselect="false" @selectionChange="${viewitem.name}.onSelectionChange($event)"  @dataActivated="${viewitem.name}.onDataActivated($event)"></${filename('${viewitem.getPSAppDEView().codeName}')}_embeddedview>
                    </#list>
                </content>
            </layout>

            <card :dis-hover="true" :bordered="false" class="footer">
                <row :style="{ textAlign: 'right' }">
                    <i-button type="primary" :disabled="!viewController.isSelect" @click="viewController.onClickOkButton()">{{ viewController.okBtnText }}</i-button>
                    <i-button @click="viewController.onClickCancelButton('onCancel')">{{ viewController.cancelBtnText }}</i-button>
                </row>
            </card>
        </div>
            `,
    <#ibizinclude>../../@MACRO/VIEW_COMPONENT_PROPS.ftl</#ibizinclude>
    <#ibizinclude>../../@MACRO/LIFECYCLE_HOOK.ftl</#ibizinclude>
    methods: {

    },
    watch: {
        'params': function (val) {
            this.viewController.fillViewParams(val);
        }
    }
});