html, body {
    height: 100%;
    margin: 0;
}
#container {
	display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    min-height: 100%;
    background: #108cee;
}

#container .login_backgroud_img img {
    position: fixed;
    bottom: 0px;
    top: 0px;
    left: 0px;
    right: 0px;
    height: 100%;
    width: 100%;
}


#container .wrap {
    padding: 125px 0 32px 0;
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
    z-index: 3;
}

#container .wrap .log_form {
    display: block;
    width: 450px;
    margin: 0 auto;
}

#container .wrap .log_footer {
    display: block;
    padding: 0 16px;
    margin: 48px 0 24px;
    text-align: center;
}

#container .wrap .log_footer a {
    color: white;
    text-decoration: none;
}

#container .wrap .log_form form {
    width: 450px;
    background-color: #ffffff;
    box-shadow: 0px 3px 5px 0px rgba(133, 144, 166, 0.1);
    border-radius: 2px;
}

.form_container {
    padding: 0px 35px 20px 35px;
}

.form_container .form-group {
    margin-bottom: 28px;
}

.form_container .form-group:first-child {
    margin-top: 10px;
    margin-bottom: 10px;
}

.form_container .form-group:last-child {
    margin-bottom: 0px;
}

.form_container img {
    width: 100%;
}

.form_container .request-answer {
    display: none;
}

.form_container .has-errorinfo {
    color: #dc3545;
    display: block;
}

.form_container .form_input {
    width: -webkit-fill-available;
    height: 48px;
    background-color: #fbfbfc;
    border-radius: 2px;
    border: solid 1px #dbdee3;
    padding: .375rem .75rem;
    font-size: 1rem;
}

.form_container .login_btn,
.login_reset {
    width: 170px;
    height: 40px;
    font-size: 18px;
    font-family: MicrosoftYaHei;
}

.form_container .login_btn {
    background-color: #108cee;
    color: #ffffff;
}

.form_container .login_reset {
    background-color: rgba(255, 255, 255, 0.3);
    border: solid 1px #108cee;
    color: #108cee;
    float: right;
}

.form_container .form_tipinfo {
    font-family: MicrosoftYaHei-Bold;
    font-size: 14px;
    font-weight: bold;
    font-stretch: normal;
    line-height: 24px;
    letter-spacing: 0px;
    color: #666666;
}

.form_container .form_tipinfo_more {
    font-family: MicrosoftYaHei;
    font-size: 14px;
    font-weight: normal;
    letter-spacing: 0px;
    color: #666666;
}

#sys_init {
    width: 100%;
    height: 48px;
    background-color: rgba(255, 255, 255, 0.3);
    border: solid 1px #108cee;
    color: #108cee;
}
/*按钮样式*/
.btn {
	font-weight: 400;
    text-align: center;
    padding: .375rem .75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: .25rem;
    border: 1px solid transparent;
    white-space: nowrap;
    cursor: pointer;
}
.btn-primary {
	color: #fff;
    background-color: #007bff;
    border-color: #007bff;
}
.btn-default {
	color: #108cee;
    background-color: #ffffff;
    border: solid 1px #108cee;
}
.btn-primary:hover {
    background-color: #0062cc;
    border-color: #005cbf;
}

/*模态框样式*/
.modal {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1024;
}
.modal-dialog {
    max-width: 500px;
    margin: 1.75rem auto;
}
.modal-content {
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid rgba(0,0,0,.2);
    border-radius: .3rem;
}
.modal-header {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    justify-content: space-between;
    align-items: flex-start;
    padding: 1rem;
    border-bottom: 1px solid #e9ecef;
    position: relative;
}
.modal-title {
    margin: 0;
    font-size: 1.25rem;
    font-weight: 500;
}
.close {
	font-size: 1.4rem;
    font-weight: 700;
    color: #000;
    text-shadow: 0 1px 0 #fff;
    cursor: pointer;
    opacity: .5;
}
.modal-body {
	padding: 1rem;
	position: relative;
}
.modal-footer {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: end;
    justify-content: flex-end;
    padding: 1rem;
    border-top: 1px solid #e9ecef;
}