Vue.component('${filename(view.codeName)}', {
    template: `
    <div class="layout appmenu_${view.getMainMenuAlign()?lower_case}">
            <header>
                <div class="page-logo">
                    <#if view.getAppIconPath() != "">
                    <img src="${view.getAppIconPath()}" height="22">
                    <#else>
                    <img src="../../../packages/assets/img/logo2.png" height="22">
                    </#if>
                    ${view.getCaption()}
                </div>
                <#if view.getMainMenuAlign()=="TOP">
                    ${appmenu.code2}
                </#if>
                <div class="header-right">
                    <div>
                        <Icon type="md-notifications-outline" style="font-size: 25px;margin: 0 10px;"/>
                    </div>
                    <div>
                        <Icon type="ios-mail-open-outline" style="font-size: 25px;margin: 0 10px;"/>
                    </div>
                    <ibiz-header-user></ibiz-header-user>
                    <ibiz-theme></ibiz-theme>
                </div>
            </header>
            <#if appmenu?? && (view.getMainMenuAlign()=="LEFT" || view.getMainMenuAlign()=="")>
            <layout :class="{collapse: !${appmenu.obj.name}.isCollapsed}">
                <sider :width="${appmenu.obj.name}.width" :default-collapsed="!${appmenu.obj.name}.isCollapsed">
                    <div class="sider-top">
                        <a><Icon type="md-menu" @click="${appmenu.obj.name}.collapseChange()"></a>
                    </div>
                    ${appmenu.code}
                </sider>
                <content>
                    <ibiz-page-tag ref="ibizPageTags" @change="tagChange"></ibiz-page-tag>
                    <div style="height: calc(100% - 23px);">
                        <ibiz-keep-alive :routerList="$store.state.historyPathList">
                            <router-view :key="$route.fullPath"></router-view>
                        </ibiz-keep-alive>
                    </div>
                </content>
            </layout>
			<#else>
            <layout>
                <content>
                    <ibiz-page-tag ref="ibizPageTags" @change="tagChange"></ibiz-page-tag>
                    <div style="height: calc(100% - 38px);">
                        <ibiz-keep-alive :routerList="$store.state.historyPathList">
                            <router-view :key="$route.fullPath"></router-view>
                        </ibiz-keep-alive>
                    </div>
                </content>
            </layout>
            </#if>
        </div>
            `,
    <#ibizinclude>../../@MACRO/VIEW_COMPONENT_PROPS.ftl</#ibizinclude>
    <#ibizinclude>../../@MACRO/LIFECYCLE_HOOK.ftl</#ibizinclude>
    mounted: function() {
        Vue.prototype.$ibizPageTags = this.$refs["ibizPageTags"];
    },
    watch: {
        'params': function (val) {
            this.viewController.fillViewParams(val);
        }
    },
    methods: {
        'tagChange': function(data) {
            
        }
    }
});